#ifndef _CONUTIL_H_INCLUDED
#define _CONUTIL_H_INCLUDED

#pragma message("Using library: ConUtil")
#pragma comment(lib, "ConUtil")

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned short COLOR;
#define FG_DARKBLUE      0x0001 // text color contains blue.
#define FG_DARKGREEN     0x0002 // text color contains green.
#define FG_DARKRED       0x0004 // text color contains red.
#define FG_BRIGHT    0x0008 // text color is intensified.
#define FG_BLUE      0x0009 // text color contains blue.
#define FG_GREEN     0x000A // text color contains green.
#define FG_RED       0x000C // text color contains red.
#define BG_BLUE      0x0010 // background color contains blue.
#define BG_GREEN     0x0020 // background color contains green.
#define BG_RED       0x0040 // background color contains red.
#define BG_BRIGHT    0x0080 // background color is intensified.

void SetColor(COLOR attr);
COLOR GetColor();
int Puts(COLOR color, const char *s);
void Printf(COLOR color, const char *fmt, ...);

void outhex(const void *data, const int len);
void Fan();
void ProgressBar(int cur,int max);

#ifdef __cplusplus
};
#endif

#endif
